import 'package:auth/src/core/domain/repositories/auth_repository.dart';
import 'package:auth/src/features/sign_up/domain/entities/two_fa_secret_entity.dart';
import 'package:auth/src/features/sign_up/domain/generate_two_fa_sign_up_use_case.dart';

class GenerateTwoFASignUpUseCaseImpl implements GenerateTwoFASignUpUseCase {
  GenerateTwoFASignUpUseCaseImpl(this._repository);

  final AuthRepository _repository;
  @override
  Future<TwoFASecretEntity> generateTwoFASignUp({required String token}) {
    return _repository.generateTwoFASignUp(token: token);
  }
}
